<?php

/**
 * @author Eticons
 * @table(name=tb_sistema)
 */
class Sistema {

    /**     * @id * @column(name=id) */
    private $id;

    /**     * @column(name=nome) */
    private $nome;

    /**     * @column(name=descricao) */
    private $descricao;

    /**     * @column(name=arquivo) */
    private $arquivo;

    /**     * @column(name=data, type=dateTime) */
    private $data;

    /**     * @column(name=versao) */
    private $versao;

    /**     * @column(name=imagem) */
    private $imagem;

    /**     * @column(name=texto) */
    private $texto;

    /**     * @column(name=instalacao) */
    private $instalacao;

    /**     * @transient */
    private $comentario;

    public function getPK() {
        return $this->id;
    }

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getNome() {
        return $this->nome;
    }

    public function setNome($nome) {
        $this->nome = $nome;
    }

    public function getDescricao() {
        return $this->descricao;
    }

    public function setDescricao($descricao) {
        $this->descricao = $descricao;
    }

    public function getArquivo() {
        return $this->arquivo;
    }

    public function setArquivo($arquivo) {
        $this->arquivo = $arquivo;
    }

    public function getData() {
        return $this->data;
    }

    public function setData($data) {
        $this->data = $data;
    }

    public function getVersao() {
        return $this->versao;
    }

    public function setVersao($versao) {
        $this->versao = $versao;
    }

    public function getImagem() {
        return $this->imagem;
    }

    public function setImagem($imagem) {
        $this->imagem = $imagem;
    }

    public function getComentario() {
        return $this->comentario;
    }

    public function setComentario($comentario) {
        $this->comentario = $comentario;
    }

    public function getTexto() {
        return $this->texto;
    }

    public function setTexto($texto) {
        $this->texto = $texto;
    }

    public function getInstalacao() {
        return $this->instalacao;
    }

    public function setInstalacao($instalacao) {
        $this->instalacao = $instalacao;
    }

}

?>
